﻿/*
 * ParameterContractWrapper
 * 
 * Author: snowdreamist
 * Date: 2011/12/12
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.KRPC.Contract
{
    public class ParameterContractWrapper
    {
        public ParameterContractWrapper() { }

        public ParameterContractWrapper(KRPCParameterContractAttribute attr)
        {
            if (attr == null)
                throw new ArgumentNullException("attr");
            this.ContractName = attr.Name;
        }
        /// <summary>
        /// Name in contract
        /// </summary>
        public string ContractName { get; private set; }
    }
}
