﻿/*
 * KRPCDataMemberAttribute
 * 
 * Author: snowdreamist
 * Date: 2011/11/24
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.KRPC
{
    /// <summary>
    /// KRPC datamember
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = false, Inherited = false)]
    public class KRPCDataMemberAttribute : Attribute
    {
        /// <summary>
        /// Name
        /// </summary>
        public string Name { get; set; }
    }
}
