﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.Peers
{
	/// <summary>
	/// Represent the type of a peer message.
	/// </summary>
	public enum PeerMessageType
	{
		Choke = 0,
		Unchoke,
		Interested,
		NotInterested,
		Have,
		Bitfield,
		Request,
		Piece,
		Cancel,
		/// <summary>
		/// Extension message.
		/// </summary>
		Extended = 0x20
	}
}
