﻿/*
 * ReportedEventArgs
 * 
 * Author: snowdreamist
 * Date: 2011/11/20
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.Tracker
{
    public class ReportedEventArgs : EventArgs
    {
        public ReportedEventArgs(Exception error, TrackerWebResponse response)
        {
            this.Error = error;
            this.Response = response;
        }

        public Exception Error { get; private set; }

        public TrackerWebResponse Response { get; private set; }
    }
}
