﻿/*
 * KRPCNameValue
 * 
 * KRPCDataNameValue
 * 
 * Author: snowdreamist
 * Date: 2011/12/11
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.KRPC
{
    public class KRPCNameValue
    {
        /// <summary>
        /// Constructor
        /// </summary>
        public KRPCNameValue() { }
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="name"></param>
        public KRPCNameValue(string name)
        {
            this.Name = name;
        }
        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="name"></param>
        /// <param name="value"></param>
        public KRPCNameValue(string name, object value)
        {
            this.Name = name;
            this.Value = value;
        }
        /// <summary>
        /// Name
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// Value
        /// </summary>
        public object Value { get; set; }
    }
}
