﻿/*
 * KRPCParameterContractAttribute
 * 
 * Author: snowdreamist
 * Date: 2011/12/12
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.KRPC
{
    [AttributeUsage(AttributeTargets.Parameter, AllowMultiple = false, Inherited = false)]
    public class KRPCParameterContractAttribute : Attribute
    {
        /// <summary>
        /// The name used to serialize / deserialize this parameter in message
        /// </summary>
        public string Name { get; set; }
    }
}
