﻿/*
 * KRPCAsyncResult
 * 
 * Author: snowdreamist
 * Date: 2011/11/24
 * 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace BitTorrentSharp.KRPC.Threading
{
    /// <summary>
    /// AsyncResult
    /// </summary>
    public class KRPCAsycResult : IAsyncResult
    {
        #region IAsyncResult

        public object AsyncState { get; private set; }

        public WaitHandle AsyncWaitHandle
        {
            get
            {
                return this.WaitEvent;
            }
        }

        public bool CompletedSynchronously { get; private set; }

        public bool IsCompleted { get; private set; }

        #endregion

        #region properties

        internal AutoResetEvent WaitEvent { get; private set; }

        #endregion
    }
}
