﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.Peers
{
	/// <summary>
	/// Represent as a peer for a bit-torrent connection.
	/// </summary>
	public class Peer
	{
		/// <summary>
		/// Get or set the identifier of the peer.
		/// </summary>
		public string Id
		{
			get;
			set;
		}

		/// <summary>
		/// Get or set the IP address of the peer.
		/// </summary>
		public string IP
		{
			get;
			set;
		}

		/// <summary>
		/// Get or set the port number of the peer.
		/// </summary>
		public int Port
		{
			get;
			set;
		}

		/// <summary>
		/// Initlize a new instance of a peer.
		/// </summary>
		public Peer()
		{

		}
	}
}
