﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BitTorrentSharp.Peers
{
	/// <summary>
	/// The message to keep alive between peers.
	/// </summary>
	public class PeerKeepAliveMessage : PeerMessage
	{
		/// <summary>
		/// Get all the bytes of this message.
		/// </summary>
		/// <returns>The byte sequence of this message. The result is an empty byte array.</returns>
		protected override byte[] GetBytesCore()
		{
			return ByteHelper.EmptyData;
		}

		/// <summary>
		/// Intialize a new instance of keep-alive message.
		/// </summary>
		public PeerKeepAliveMessage()
		{

		}
	}
}
